nmap <buffer> gd <Plug>DeopleteRustGoToDefinitionDefault
nmap <buffer> K  <Plug>DeopleteRustShowDocumentation
nmap <buffer> gv <Plug>DeopleteRustGoToDefinitionVSplit
nmap <buffer> gh <Plug>DeopleteRustGoToDefinitionSplit
nmap <buffer> gt <Plug>DeopleteRustGoToDefinitionTab

augroup rust_maps
  au!
  " Taken from http://seenaburns.com/vim-setup-for-rust/
  " Neomake
  " Gross hack to stop Neomake running when exitting because it creates a zombie cargo check process
  " which holds the lock and never exits. But then, if you only have QuitPre, closing one pane will
  " disable neomake, so BufEnter reenables when you enter another buffer.
  let s:quitting = 0
  au FileType rust au QuitPre let s:quitting = 1
  au FileType rust au BufEnter let s:quitting = 0
  au FileType rust au BufWritePost if ! s:quitting | Neomake | else | echom "Neomake disabled" | endif
augroup END

